package com.gic.haoban.manage.service.entity.chat;

import java.util.Date;
import java.io.Serializable;

/**
 * 社群邀请有礼邀请日志表(TabHaobanGroupChatActivityInviteLog)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:55
 */
public class TabGroupChatActivityInviteLog implements Serializable {
    private static final long serialVersionUID = 383845466789440463L;
    /**
     * 社群活动邀请id
     */
    private Long chatActivityInviteId;
    /**
     * 社群活动id
     */
    private Long chatActivityId;
    /**
     * 邀请人会员ID
     */
    private String inviterMemberId;
    /**
     * 受邀人会员ID
     */
    private String inviteeMemberId;
    /**
     * 受邀人外部联系人id
     */
    private String inviteeUserId;
    /**
     * 受邀人unionId
     */
    private String inviteeUnionId;
    /**
     * 姓名
     */
    private String userName;
    /**
     * 昵称
     */
    private String nickName;
    /**
     * 群id
     */
    private Long groupChatId;
    /**
     * 有效邀请类型 1有效0无效
     */
    private Integer inviteType;
    /**
     * 无效邀请类型 1非首次参与活动受邀入群2入群前已处于企业群聊内3非首次加入企业群聊
     */
    private Integer invalidInviteType;
    /**
     * 是否新增会员 1是 0否 null未统计
     */
    private Integer addMemberType;
    /**
     * 有效邀请达成的批次 达成所有奖励限制后为-1
     */
    private Integer batchNumber;
    /**
     * 企业ID
     */
    private String enterpriseId;
    /**
     * 微信企业ID
     */
    private String wxEnterpriseId;

    private Date createTime;

    private Date updateTime;

    private Integer deleteFlag;


    public Long getChatActivityInviteId() {
        return chatActivityInviteId;
    }

    public void setChatActivityInviteId(Long chatActivityInviteId) {
        this.chatActivityInviteId = chatActivityInviteId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public String getInviteeMemberId() {
        return inviteeMemberId;
    }

    public void setInviteeMemberId(String inviteeMemberId) {
        this.inviteeMemberId = inviteeMemberId;
    }

    public String getInviteeUserId() {
        return inviteeUserId;
    }

    public void setInviteeUserId(String inviteeUserId) {
        this.inviteeUserId = inviteeUserId;
    }

    public String getInviteeUnionId() {
        return inviteeUnionId;
    }

    public void setInviteeUnionId(String inviteeUnionId) {
        this.inviteeUnionId = inviteeUnionId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Long getGroupChatId() {
        return groupChatId;
    }

    public void setGroupChatId(Long groupChatId) {
        this.groupChatId = groupChatId;
    }

    public Integer getInviteType() {
        return inviteType;
    }

    public void setInviteType(Integer inviteType) {
        this.inviteType = inviteType;
    }

    public Integer getInvalidInviteType() {
        return invalidInviteType;
    }

    public void setInvalidInviteType(Integer invalidInviteType) {
        this.invalidInviteType = invalidInviteType;
    }

    public Integer getAddMemberType() {
        return addMemberType;
    }

    public void setAddMemberType(Integer addMemberType) {
        this.addMemberType = addMemberType;
    }

    public Integer getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(Integer batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}

